/**
 * 最初の著者:: トゥイー
 * リポジトリ情報:: $Id: NullRelation.hpp 11 2011-05-14 02:11:18Z yutaka_at_home $
 * 著作権:: Copyright (C) Ownway.info, 2011. All rights reserved.
 * ライセンス:: CPL(Common Public Licence)
 */

#ifndef _UTILITY_NULL_RELATION_HPP_
#define _UTILITY_NULL_RELATION_HPP_

#include "tops/utilities/CloseContainer/CloseRelation.hpp"

namespace Utility {

	class NullRelation : public CloseRelation {
	public:
		static CloseRelationPtr GetNullRelation();

	public:
		CloseContainer* getOwner();
		bool isOwned() const;
		bool isOwned(CloseContainer& owner) const;
		void release();
	};

}  // namespace Utility

#endif
